Hi Y'all,
So this is frustrating: I apply component attributes in "bulk" which in this case are detail numbers but it seems they do not propagate up the tree so that I've just spent the last 30 minutes applying attribute "DET" at the component level, then at the sub-assembly level, and not it...
Hi Cowski, OK I'm a little slow apparently... yes that's the only place you can set them and the reason for my frustration is that it seems if you switch them mid-command they are only remembered for that command.
To change the general default snap point filters you have to change them outside...
Hi Y'all,
I'm sure this is a no-brainer but I can't seem to find where I can set my selection filter settings to, say, Control Point, Point On Line, and Quadrant only for example.
I've been all thru Customer Defaults but I just don't see it?
~Felicia H.
NX 12.0.1.7
"Design all things as...
Cowski,
Thanks so much. What this makes clear to me is I'm out of my depth and should probably let a real programmer handle it, especially since I want it to work from the assembly level and to also "blank" each detail after it's been attributed.
But thank you again very much!
~Felicia H.
NX...
Cowski,
I'm trying to find out how to target the part rather than the bodies but it's beyond my coding ability. Would you be able to point me in the right direction? My Google Fu hasn't been enough to find this yet.
~Felicia H.
NX 12.0.1.7
"Design all things as simple as possible but not...
I wonder if it could be as simple as changing NXObject type to 'part' instead of 'body'?
~Felicia H.
NX 12.0.1.7
"Design all things as simple as possible but not simpler."
And now the attachment [thumbsup2]
~Felicia H.
NX 12.0.1.7
"Design all things as simple as possible but not simpler."https://files.engineering.com/getfile.aspx?folder=13b79c31-d711-445d-aa9e-d23c967e1d51&file=ADD-ATTRIBUTES.vb
Hi Toost,
That's what the journal I found online does is the short answer.
Exactly what I'm trying to do. I'm guessing it's not very difficult from someone with much better coding skills that I have. Mine are basically non-existent.
I've attached the journal I found and had modified to use...
Hi Cowski,
I honestly don't know how to add the attributes to the part instead of the body. I found a journal (maybe it was from you actually) that adds the attributes and that's what I'm using.
I have very little ability to code for NX so I wouldn't know how to change it :(
~Felicia H.
NX...
Hi Y'all,
I found some great information in an old thread here but not exactly what I'm looking to do.
I have a journal that assigns solid attributes but it does not pass them to component attributes so that Parts List can use them.
In other words, if I info>type>solidbody I can see all of...
Wow Cowski, you posted that at about the same time I was reading something very close to that (my P.S.) but you also gave me the solution.
Thank you!
~Felicia H.
NX 9.0.2.5
"Design all things as simple as possible but not simpler."
Hi Y'all,
I've looked at length but can't find a way to stop NX BOM from throwing every "DESCRIPTION" "LOWER FORM STEEL" into the same line item an adding up the quantities. Of course I could name them "LOWER FORM STEEL 01""LOWER FORM STEEL 02" etc. but that's tacky and should be avoidable...
Ok, I have the code for the Block UI Styler custom dialog and the Object Attribute journal - just have to get the Block into the journal. They both execute separately without issue once I put the .vb and .dxi files for the custom dialog box in UGII_ROOT_DIR.
"Imports NXOpenUI" would be...
I'm guessing it's somewhere in these lines that the change has to be made:
Imports NXOpenUI
Dim theUI As UI = UI.GetUI()
Dim lw As ListingWindow = theSession.ListingWindow
Sub Main()
Dim markId1 As Session.UndoMarkId
markId1 = theSession.SetUndoMark(Session.MarkVisibility.Visible, "body...
At some length, and with forum help I was able to create a dialog box that assigns attributes to solid bodies. This journal (below) calls a primitive input box and I've since had an NX dialog box created with Block UI Styler.
Saving the Block UI Styler dialog box outputs a .vb and .dxi file -...
I discussed with GTAC and there's a great tool to create an NX dialog box called 'Block UI Styler' which I would love to use but don't have the required Dialog Designer's license.
Big bummer...
~Felicia H.
NX 9.0.2.5
"Design all things as simple as possible but not simpler."
Thank you Cowski! It's not perfect but it does what I intended.
I feel like it's calling a Microsoft dialog box rather than an NX and the screen position of it isn't great but it works!
I owe you a cocktail [bowleft]
Here it is for anyone else looking for the same thing:
Option Strict Off...
Hi again Cowski and thank you.
That helped but I'm at a loss for how to proceed further. In the sub below once I select a body I'm prompted to add a string but the string I enter is not being passed to the attribute.
Near the top I have
Dim answer As String = ""
Then,
For Each temp As Body...
Hi Cowski,
The first link you posted is exactly the one I tried to add to (I think) another of your or John Baker's journals but it errors out probably because I'm a daft coder :)
Option Strict Off
Imports System
Imports System.Collections.Generic
Imports NXOpen
Imports NXOpen.UF
Module...